/* Convert csv file of http://www.biodic.go.jp/dload/veg/
 * $ gcc LC_MOE2rast.c -o LC_MOE2rast
 * $ ./LC_MOE2rast < latlon_LC.txt
 */

# include <stdio.h>
# include <stdlib.h>
// # define N 46
// # define S 30
// # define E 148
// # define W 128
// # define XL 1600
// # define YL 1920
# define N 46
# define S 24
# define E 154
# define W 122
# define XL 2560
# define YL 2640

void main()
{float lat, lon;
 int c1, c2 ,c3;
 int x,y;
 int *lc1, *lc2, *lc3;
 FILE *fp;
 if (sizeof(int)!=4)
    {printf("In your system, int is not 4 bytes. Sorry!\n"); exit(1);} 

 lc1=calloc((int)XL*YL, sizeof(int));
 lc2=calloc((int)XL*YL, sizeof(int));
 lc3=calloc((int)XL*YL, sizeof(int));

 for (x=0; x<(int)XL*YL; x++) 
   {lc1[x]=0; lc2[x]=0; lc3[x]=0;}

 while (!feof(stdin))
   {scanf("%f %f %d %d %d", &lon, &lat, &c1, &c2, &c3);
    x=(lon-W)*80.0;
    y=YL-1-(lat-S)*120.0;
    if (0<=x && x<XL && 0<=y && y<YL)
       {lc1[x+y*XL]=c1; lc2[x+y*XL]=c2; lc3[x+y*XL]=c3;}
   }
 fp=fopen("LC_MOE_level1", "wb"); fwrite(lc1, 4, (long)XL*YL, fp); fclose(fp);
 fp=fopen("LC_MOE_level2", "wb"); fwrite(lc2, 4, (long)XL*YL, fp); fclose(fp);
 fp=fopen("LC_MOE_level3", "wb"); fwrite(lc3, 4, (long)XL*YL, fp); fclose(fp);
}

