/* conversion of Standard-Local-Mesh code to lat-lon
 * ɸϰå女ɤѴ
 * reference: http://www.stat.go.jp/data/mesh/08-3s1.htm
 * 2004/3/4 K. Nishida
 */

#include <stdio.h>
#include <stdlib.h>

void mesh2latlon(int mesh1, int mesh2, int mesh3, float *lat, float *lon)
{*lat=((mesh1-mesh1%100)/100)/1.5;
 *lon=mesh1%100 + 100;

 *lat=*lat + 0.6666666667*((mesh2-mesh2%10)/10)/8.0;
 *lon=*lon + 1.0*(mesh2%10)/8.0;

 *lat=*lat + 0.0833333333*((mesh3-mesh3%10)/10)/10.0;
 *lon=*lon + 0.125*(mesh3%10)/10.0;
  
 *lat=*lat + 0.008333333/2;
 *lon=*lon + 0.0125/2;
}

void main(int argc, char **argv)
{float lat, lon;
 int mesh1, mesh2, mesh3;
 int lat_d, lat_m, lat_s;
 int lon_d, lon_m, lon_s;

 while (!feof(stdin))
{scanf("%d %d %d", &mesh1, &mesh2, &mesh3); 
 mesh2latlon(mesh1, mesh2, mesh3, &lat, &lon);

 lat_d=lat;
 lat_m=(lat-lat_d)*60;
 lat_s=((lat-lat_d)*60-lat_m)*60;

 lon_d=lon;
 lon_m=(lon-lon_d)*60;
 lon_s=((lon-lon_d)*60-lon_m)*60;
   
// printf("%d %d %d\n", lat_d, lat_m, lat_s);
// printf("%d %d %d\n", lon_d, lon_m, lon_s);
 if (!feof(stdin))
    printf("%f   %f\n", lat, lon);
}

}
